commit:     26336594f54f515d4620afa3e0e8f07d1a4a06a9
Author:     Sergei Trofimovich <slyfox <AT> gentoo <DOT> org>
AuthorDate: Wed Jun 20 06:40:05 2018 +0000
Commit:     Sergei Trofimovich <slyfox <AT> gentoo <DOT> org>
CommitDate: Wed Jun 20 06:40:34 2018 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=26336594

dev-libs/elfutils: bump up to 0.172

Package-Manager: Portage-2.3.40, Repoman-2.3.9

 dev-libs/elfutils/Manifest              |  1 +
 dev-libs/elfutils/elfutils-0.172.ebuild | 66 +++++++++++++++++++++++++++++++++
 2 files changed, 67 insertions(+)

diff --git a/dev-libs/elfutils/Manifest b/dev-libs/elfutils/Manifest
index 98fe39eef07..0e61aab329a 100644
--- a/dev-libs/elfutils/Manifest
+++ b/dev-libs/elfutils/Manifest
@@ -1,3 +1,4 @@
 DIST elfutils-0.169.tar.bz2 8067758 BLAKE2B 
cf4c11619442fe19a5df95b79546af879771890b069de44743440ca5f6b44ac471125cce21fb4b1533d5265760e9fdf2ea3371c36bca39713c3e587987b69cd9
 SHA512 
0a81a20bb2aff533d035d6b76f1403437b2e11bce390db57e34b8c26e4b9b3150346d83dddcbfbbdc58063f046ca3223508dba35c6ce88e375d201e7a777a8b9
 DIST elfutils-0.170.tar.bz2 8358001 BLAKE2B 
03ea3ba7d3feaac43065312c475f4a3cd9083a6c56c9982fa00c0ed02b28440f6a37bbeca4be18db13749647ea1c8a6f00dae7efcb1c70235110e60ad7d56d06
 SHA512 
aca0b5e271138eaf86e36505ffb101181207b151e833e6cd7c18986ac50678542a5ecd2250f8dd6923ca497142f197c8b08fd225e4130b16b6203c24013d6d28
 DIST elfutils-0.171.tar.bz2 8654558 BLAKE2B 
709b5a4090867ec536563ed31178f7fb820f6b0ca8fb7c379b9081fa0d0027c8c2904cf17e9ee36245dd1fea8d2853ee3e7af457167e007fb7b08eec2e921a30
 SHA512 
777be2d63ca9b11440bf358a33428d9ca974e2612a880934156c9f7194af596ed627c1ed2d48dbd47a3761c94913b8f39565f9dcb6b62c92bf229f04c96d5ee3
+DIST elfutils-0.172.tar.bz2 8601066 BLAKE2B 
7d4cb9944bfc258ba46312e8a4dde491f9d8fb4fa27837f6df0993107256f76e79ce02ea5872475a70ff9ebe9093e39bddf1c807be2af4bf0f6f5429f446a1ce
 SHA512 
b2f491e976ef3067fe33ad22b3ef1952c47557571747899e94aee601bfeb95e8e1a91daad80a7950bee7feb42192769663db32eb65734ea5ffbc0b87cdad76b2

diff --git a/dev-libs/elfutils/elfutils-0.172.ebuild 
b/dev-libs/elfutils/elfutils-0.172.ebuild
new file mode 100644
index 00000000000..9ac835cad36
--- /dev/null
+++ b/dev-libs/elfutils/elfutils-0.172.ebuild
@@ -0,0 +1,66 @@
+# Copyright 1999-2018 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+inherit flag-o-matic multilib-minimal
+
+DESCRIPTION="Libraries/utilities to handle ELF objects (drop in replacement 
for libelf)"
+HOMEPAGE="http://elfutils.org/";
+SRC_URI="https://sourceware.org/elfutils/ftp/${PV}/${P}.tar.bz2";
+
+LICENSE="|| ( GPL-2+ LGPL-3+ ) utils? ( GPL-3+ )"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~m68k ~mips ~ppc ~ppc64 ~s390 
~sh ~sparc ~x86 ~amd64-linux ~arm-linux ~x86-linux"
+IUSE="bzip2 lzma nls static-libs test +threads +utils"
+
+RDEPEND=">=sys-libs/zlib-1.2.8-r1[${MULTILIB_USEDEP}]
+       bzip2? ( >=app-arch/bzip2-1.0.6-r4[${MULTILIB_USEDEP}] )
+       lzma? ( >=app-arch/xz-utils-5.0.5-r1[${MULTILIB_USEDEP}] )
+       !dev-libs/libelf"
+DEPEND="${RDEPEND}
+       nls? ( sys-devel/gettext )
+       >=sys-devel/flex-2.5.4a
+       sys-devel/m4"
+
+PATCHES=("${FILESDIR}"/${PN}-0.118-PaX-support.patch)
+
+src_prepare() {
+       default
+
+       if ! use static-libs; then
+               sed -i -e '/^lib_LIBRARIES/s:=.*:=:' -e '/^%.os/s:%.o$::' 
lib{asm,dw,elf}/Makefile.in || die
+       fi
+       sed -i 's:-Werror::' */Makefile.in || die
+}
+
+src_configure() {
+       use test && append-flags -g #407135
+       multilib-minimal_src_configure
+}
+
+multilib_src_configure() {
+       ECONF_SOURCE="${S}" econf \
+               $(use_enable nls) \
+               $(use_enable threads thread-safety) \
+               --program-prefix="eu-" \
+               --with-zlib \
+               $(use_with bzip2 bzlib) \
+               $(use_with lzma)
+}
+
+multilib_src_test() {
+       env     
LD_LIBRARY_PATH="${BUILD_DIR}/libelf:${BUILD_DIR}/libebl:${BUILD_DIR}/libdw:${BUILD_DIR}/libasm"
 \
+               LC_ALL="C" \
+               emake check
+}
+
+multilib_src_install_all() {
+       einstalldocs
+       dodoc NOTES
+       # These build quick, and are needed for most tests, so don't
+       # disable their building when the USE flag is disabled.
+       if ! use utils; then
+               rm -rf "${ED}"/usr/bin || die
+       fi
+}

Reply via email to